EKNO YUAG - Feature #3631

Report Payroll Invoice Detail - Herros
05/23/2025 11:21 AM - Mr [kmal

Status: Assigned Start date: 05/23/2025
Priority: Urgent Due date: 05/28/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear mas azid,
Berikut untuk Format Invoice Detail PT Herros. Pada sheet Detail Inv yg berwarna kuning referensi & penjelesannya

https://docs.google.com/spreadsheets/d/1 UM8ovl4ukii3J3UgvXGk1W41XzNjpR2W/edit?usp=sharing&ouid=11058231435080831798
9&rtpof=true&sd=true

Sudah dibuatkan menu nya di table:
SMENU

SENUTXT

PCMEPRPTCATALOG

di table SMENU & SMENUTXT
menulD: CYARINVDETAILHERROS

di table PCMEPRPTCATALOG
reportID: CYARINVDETAILHERROS

Catatan: Setelah kolom Grand Total ada kolom No Rekening, NIK KTP, KPJ, No Rek,

Potongan itu tidak perlu dibuat dlu kolom nya mas (tunggu dikonfirmasi dari user) dan kolom yang belum diberi penjelasan data nya
menyusul saja

*Terus yg perlu di perhatikan di report ini dia punya ketentuan:

- Di bagian Warna Biru ada Total P dan Total L, Total P menghitung berdasarkan gender (Perempuan) dan Total L menghitung
berdasarkan gender (Laki-Laki). Gender ada di table PHRPAQ001. Kalau 01 = Laki-laki, 02 = Perempuan. Kemudian di bagian akhir
ada kolom penjumlahan P+L sesuai dengan rumusnya. *

Untuk yang pakai Kode Wage Type nilai Amount nya ambil dari PHRPYTRO0301 dan cek juga ke table PHRPYTR301RET apabila
ada retro disana.

Di tabel PHRPYTR301RET, nnti bisa cek kolom PayPeriodMonth dan RunPeriodMonth. Cthnya:

PayPeriodMonth = 01 (Januari)

RunPeriodMonth = 02 (Februari)

Jika, terjadi perubahan nilai (cthnya: kenaikan gaji di kode Wage Type 1000) yang berlaku mulai Januari. Namun karena gaji bulan
Januari sudah sempat dibayarkan terlebih dahulu dengan nilai lama, maka selisih dari kenaikan tersebut akan dibayarkan di bulan
Februari melalui proses retro.

Cth:

Nilai awal yang dibayarkan di Januari: 4 juta

Setelah ada kenaikan yang berlaku mulai Januari, seharusnya menjadi: 5 juta

Maka pada proses run di Februari, sistem akan membayarkan selisih 1 juta

Total nilai yang diambil di Februari adalah 5 juta (untuk Februari) + 1 juta (selisih retro Januari) = 6 juta

Terima kasih.
https://docs.google.com/spreadsheets/d/1UM8ovl4ukii3J3UgvXGk1W4IXzNjpR2W/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true
https://docs.google.com/spreadsheets/d/1UM8ovl4ukii3J3UgvXGk1W4IXzNjpR2W/edit?usp=sharing&ouid=110582314350808317989&rtpof=true&sd=true

History

#1 - 05/23/2025 11:23 AM - Mr lkmal

- Tracker changed from Bug to Feature

#2 - 05/23/2025 03:55 PM - Kezia Pawitra Yulianti
- Due date set to 05/28/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent
